Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicDesktopIconUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.DesktopIconUI
                  |
                  +--javax.swing.plaf.basic.BasicDesktopIconUI

Direct Known Subclasses:
  MetalDesktopIconUI

public class BasicDesktopIconUI
extends DesktopIconUI

Basic L&F for a minimized window on a desktop.

Inner Class Summary
`class` | `BasicDesktopIconUI.MouseInputHandler` Listens for mouse movements and acts on them.

Field Summary
`protected JInternalFrame.JDesktopIcon` | `desktopIcon`
`protected JInternalFrame` | `frame`

Constructor Summary
`BasicDesktopIconUI()`

Method Summary
`protected MouseInputListener` | `createMouseInputListener()`
`static ComponentUI` | `createUI(JComponent c)`
`void` | `deiconize()`
`java.awt.Insets` | `getInsets(JComponent c)`
`java.awt.Dimension` | `getMaximumSize(JComponent c)`
`java.awt.Dimension` | `getMinimumSize(JComponent c)`
`java.awt.Dimension` | `getPreferredSize(JComponent c)`
`protected void` | `installComponents()`
`protected void` | `installDefaults()`
`protected void` | `installListeners()`
`void` | `installUI(JComponent c)`
`protected void` | `uninstallComponents()`
`protected void` | `uninstallDefaults()`
`protected void` | `uninstallListeners()`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### desktopIcon

    protected JInternalFrame.JDesktopIcon desktopIcon

### frame

    protected JInternalFrame frame

Constructor Detail

### BasicDesktopIconUI

    public BasicDesktopIconUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installUI

    public void installUI(JComponent c)

  Overrides:
    installUI in class ComponentUI

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    uninstallUI in class ComponentUI

### installComponents

    protected void installComponents()

### uninstallComponents

    protected void uninstallComponents()

### installListeners

    protected void installListeners()

### uninstallListeners

    protected void uninstallListeners()

### installDefaults

    protected void installDefaults()

### uninstallDefaults

    protected void uninstallDefaults()

### createMouseInputListener

    protected MouseInputListener createMouseInputListener()

### getPreferredSize

    public java.awt.Dimension getPreferredSize(JComponent c)

  Overrides:
    getPreferredSize in class ComponentUI

### getMinimumSize

    public java.awt.Dimension getMinimumSize(JComponent c)

  Overrides:
    getMinimumSize in class ComponentUI

### getMaximumSize

    public java.awt.Dimension getMaximumSize(JComponent c)

  Overrides:
    getMaximumSize in class ComponentUI

### getInsets

    public java.awt.Insets getInsets(JComponent c)

### deiconize

    public void deiconize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.